Subject: bug#22324: 25.0.50; completion-category-defaults style doesn't override completion-styles (gets prepended instead)

From: Stefan Monnier <[email-masked]>
Date: Fri, 28 Jan 2022 11:56:58 -0500

> If we were designing it from the ground up, we probably wouldn't add an
> 'ignore' style. We could have added a special value like 't' which would
> mean the opposite (*do* the fallback, for those users who would want their
> configs to be just a little bit more terse),

FWIW, the choice of using a fallback to `completion-style` was made for
`completion-category-defaults` so that those package-choices don't
unilaterally override the user's choice in `completion-style`.

For `completion-category-override` there is indeed not much need for
a fallback, since it's set by the same person as `completion-style`.

        Stefan